Skip to main content

💾 Databases

Power Automate connector in preview

Power Automate connector is currently in preview. It has all the functionality. Preview flag will be removed in some time as Mockster finds its users.

Description​

Generate database related technical data, like columns or engines. Returns an array of properties, by default ten.

Query options​

ParameterDescriptionDefault
CountCount of objects returned10
SeedSeed value for reproducible resultsnull

Request​

Power Automate​

In Power Automate you can find this endpoint by searching for Get database mockdata.

Get database mockdata action

HTTP​

Or you can use an HTTP request.

HTTP
GET https://api.mockster.dev/api/v1/databases
Accept: application/json

Response​

Example​

JSON
[
{
"collation": "utf8_general_ci",
"column": "id",
"engine": "CSV",
"mongodbObjectId": "cb5c4640fae4c9ad8f7ceeed",
"type": "float"
}
]

Collation​

JSONPower Automate
collationCollation

Returns a collation setting for a database. For example: utf8_general_ci.

Return datatype: string

Column​

JSONPower Automate
columnColumn

Returns a column name in a database. For example: id.

Return datatype: string

Engine​

JSONPower Automate
engineEngine

Returns a database engine type. For example: CSV.

Return datatype: string

MongoDB Object ID​

JSONPower Automate
mongodbObjectIdMongoDB Object ID

Returns a MongoDB Object ID. For example: cb5c4640fae4c9ad8f7ceeed.

Return datatype: string

Type​

JSONPower Automate
typeType

Returns a data type for a database column. For example: float.

Return datatype: string

Other system properties can be found at 💻 Systems endpoint.